• What is KendoReact
  • Getting Started
  • Server Components
  • Components
    • Animation
    • Barcodes
    • Buttons
    • Chartsupdated
    • Common Utilities
    • Conversational UIupdated
    • Data Gridupdated
    • Data Query
    • Data Tools
    • Date Inputs
    • Date Math
    • Dialogs
    • Drawing
    • Dropdownsupdated
    • Editor
    • Excel Export
    • File Saver
    • Formupdated
    • Ganttupdated
    • Gauges
    • Indicators
    • Inputsupdated
    • Labels
    • Layoutupdated
    • ListBoxupdated
    • ListView
    • Map
    • Notification
    • OrgChartnew
    • PDF Processing
    • PDFViewer
    • PivotGrid
    • Popup
    • Progress Bars
    • Ripple
    • Scheduler
    • ScrollView
    • Sortable
    • Spreadsheetupdated
    • TaskBoard
    • Tooltips
    • TreeList
    • TreeViewupdated
    • Upload
  • Sample Applications
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Changelog
  • Updates
  • Troubleshooting

Getting Started with the KendoReact ListView

This guide provides essential information about using the KendoReact ListView package—you will learn how to install the ListView package, add a ListView component to your project, style the component, and activate your license.


After completing this guide, you will be able to reproduce the following example.

Example
View Source
Change Theme:

Setting Up Your React Project

Before you install the KendoReact ListView, make sure that you have a running React project. The easiest way to set up a React project is to use the Create React App approach that is described in the Get Started with KendoReact article.

Installing the ListView Package

All KendoReact packages are distributed through npm and offer a similar installation experience. To use the ListView component, start with the installation of the ListView npm package and its dependencies. Use Node.js v5.0.0 or later.

npm install --save @progress/kendo-react-listview @progress/kendo-licensing

Importing the Component

After installing the package, import the ListView component and the products data in the React App.

In the src/App.js file of your React project, import the ListView component from the ListView package.

// ES2015 module syntax
import { ListView } from "@progress/kendo-react-listview";
// CommonJS format
const { ListView } = require('@progress/kendo-react-listview');

Using the Component

  1. Import the products data in the src/App.js file.

        import products from './products.json';
  2. Add the ListView component in the App component.

        <div>
            <ListView
                data={products}
                item={MyItemRender}
                style={{ width: "100%" }}
            />
        </div>
  3. Create the MyItemRender component responsible for rendering each ListView item.

        const MyItemRender = (props: ListViewItemProps) => {
            let item = props.dataItem;
            return (
                <div className='k-listview-item' style={{ padding: 10, borderBottom: '1px solid lightgrey'}}>
                    {item.ProductName}
                </div>
            );
        }
  4. To style the ListView, install and import the Default theme, which is one of the three beautiful themes for KendoReact.

    2.1. Install the Default theme package.

    npm install --save @progress/kendo-theme-default

    2.2. Import the CSS file from the package in src/App.js. Add this import before your existing App.css import.

    import '@progress/kendo-theme-default/dist/all.css';
  5. Build and run the application by typing the following command in the root folder of your project:

    npm start
  6. Navigate to http://localhost:3000 to see the KendoReact ListView component on the page.

Activating Your License Key

Using any of the UI components in the KendoReact library requires either a commercial license key or an active trial license key.

Follow the instructions on the KendoReact My License page to activate your trial or commercial license. You can skip this step if your application already contains a KendoReact license file.

Dependencies

The ListView package requires you to install the following peer dependencies in your application:

Package NameDescription
react 16.8.2*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-licensingContains the internal infrastructure related to licensing.

Learning Resources

• Getting Started
  • Components
    • Barcodes
    • Buttons
    • Chartsupdated
    • Conversational UIupdated
    • Data Query
    • Date Inputsupdated
    • Date Math
    • Dialogs
    • Drawing
    • Dropdownsupdated
    • Editor
    • Excel Export
    • File Saver
    • Filter
    • Gantt
    • Gauges
    • Gridupdated
    • Icons
    • Indicators
    • Inputsupdated
    • Labels
    • Layout
    • ListBox
    • ListView
    • Map
    • Menus
    • Navigation
    • Notification
    • Pager
    • PDF Export
    • PDFViewer
    • PivotGridupdated
    • Popup
    • ProgressBars
    • Ripple
    • Schedulerupdated
    • ScrollView
    • Sortable
    • Spreadsheetupdated
    • ToolBar
    • Tooltips
    • TreeList
    • TreeView
    • Typography
    • Uploads
    • Utilities
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Sample Applications
  • FAQ
  • Troubleshooting
  • Updates
  • Changelogs

Getting Started with the Kendo UI for Angular ListView

This guide provides the information you need to start using the Kendo UI for Angular ListView—it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

The ListView Package is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Change Theme:

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Component

You can choose to use either of the following two approaches for installing the Kendo UI for Angular package and the styles you want to apply:

Quick Setup with Angular CLI

The quick setup presents an automatic approach for adding packages with Angular CLI through the ng-add command. It is suitable for saving time and efforts as ng-add executes in a single step a set of otherwise individually needed commands.

To add the Kendo UI for Angular ListView package, run the following command:

ng add @progress/kendo-angular-listview

As a result, the ng-add command will perform the following actions:

  • Add the @progress/kendo-angular-listview package as a dependency to the package.json file.
  • Import the ListViewModule in the current application's main module (only if the application uses NgModules).

    If your application uses standalone components, you must import the ListViewModule manually.

  • Register the Kendo UI Default theme in the angular.json file.
  • Add all required peer dependencies to the package.json file.
  • Trigger npm install to install the theme and all peer packages that are added.

Manual Setup

The manual setup provides greater visibility and better control over the files and references installed in your Angular application. You can install the required peer dependencies and a Kendo UI theme by running separate commands for each step and import the desired component modules in your NgModule.

  1. Install the ListView package together with its dependencies by running the following command:

    npm install --save @progress/kendo-angular-listview @progress/kendo-angular-buttons @progress/kendo-angular-common @progress/kendo-angular-pager @progress/kendo-angular-dropdowns @progress/kendo-angular-treeview @progress/kendo-angular-intl @progress/kendo-angular-popup @progress/kendo-angular-inputs @progress/kendo-angular-l10n @progress/kendo-drawing @progress/kendo-licensing
  2. To add the ListView component, import the ListViewModule either in your NgModule or standalone components.

    • Using Modules

      import { NgModule } from '@angular/core';
      import { BrowserModule } from '@angular/platform-browser';
      import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
      import { ListViewModule } from '@progress/kendo-angular-listview';
      import { AppComponent } from './app.component';
      
      @NgModule({
          imports: [BrowserModule, BrowserAnimationsModule, ListViewModule],
          declarations: [AppComponent],
          bootstrap: [AppComponent]
      })
      
      export class AppModule {}
    • Using Standalone Components

      import { Component } from '@angular/core';
      import { ListViewModule } from '@progress/kendo-angular-listview';
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [ListViewModule],
          template: `
              <kendo-kendo-listview></kendo-kendo-listview>
          `.
      })
  3. The next step is to style the component by installing one of the available Kendo UI themes—Kendo UI Default, Kendo UI Material, or Kendo UI Bootstrap.

    3.1 To start using a theme, install its package through NPM.

    • Default theme

      npm install --save @progress/kendo-theme-default
    • Bootstrap theme

      npm install --save @progress/kendo-theme-bootstrap
    • Material theme

      npm install --save @progress/kendo-theme-material

    3.2 After the theme package is installed, reference it in your project. You can include kendo-themes in your project in one of the following ways:

Using the Component

  1. After successfully installing the ListView package and importing its module, add the following code in the app.component.html file:

    <kendo-listview
        [data]="products"
        [itemClass]="{ 'item-border': true }"
    >
        <ng-template kendoListViewItemTemplate let-dataItem="dataItem">
            {{ dataItem.productName }}
        </ng-template>
    </kendo-listview>
  2. Bind the data property to a collection that will be used to populate the ListView in the app.component.ts file.

    public products = [
    {
        ProductID: 1,
        ProductName: 'Chai'
    },
    {
        ProductID: 2,
        ProductName: 'Chang'
    },
    ...
    ]
  3. Apply a custom CSS class to customize the layout of each item by setting the itemClass property of the component:

    .item-border {
        padding: 10px;
        border-bottom: 1px solid lightgrey;
    }
  4. Build and serve the application by running the following command in the root folder.

    ng serve
  5. Point your browser to http://localhost:4200 to see the Kendo UI for Angular ListView component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Dependencies

The following table lists the specific functionalities that are provided by each of the ListView dependencies as per package:

Package NameDescription
@angular/commonProvides the commonly-needed services, pipes, and directives provided by the Angular team. For more information, refer to the official Angular documentation.
@angular/coreContains critical runtime parts of the Angular framework that are needed by every application. For more information, refer to the official Angular documentation.
@progress/kendo-angular-commonContains common utilities that are needed by every Kendo UI for Angular component.
@progress/kendo-angular-buttonsContains the Kendo UI for Angular Buttons components.
@progress/kendo-angular-l10nProvides the globalization features of Kendo UI for Angular.
@progress/kendo-angular-pagerContains the Kendo UI for Angular Pager component.
@progress/kendo-licensingContains the kendo-ui-license CLI Tool for license management and the validatePackage function and type definitions that are used by licensed packages.
rxjsProvides the RxJS library for reactive programming which uses Observables for an easier composition of asynchronous or callback-based code.

Learning Resources